dbh_regen_sweep(3)

-

NAME
dbh_regen_sweep, dbh_regen_fanout, dbh_settempdir - make physical structure of the DBHashTable congruent with logical structure

SYNOPSIS
#include <dbh.h>

DBHashTable *dbh_regen_sweep (DBHashTable *dbh);
DBHashTable *dbh_regen_fanout (DBHashTable *dbh);
int dbh_settempdir (DBHashTable *dbh, char *temp_dir);

DESCRIPTION
Regenerate the DBHashTable eliminating erased records and optimizing disk access and speed for sweep access using dbh_regen_sweep and for fanout access using dbh_regen_fanout. This is done by creating a new DBHashTable where the physical structure matches the logical structure. The temporary directory where the new DBHashTable is created may be set with dbh_settempdir(). Current DBHashTable is closed before removed. New DBHashTable is opened after renamed.

RETURN VALUE
A pointer to the new DBHashTable.

SEE ALSO
dbh (0), dbh_sweep (3), dbh_fanout (3), dbh_foreach_sweep (3), dbh_foreach_fanout (3),

Author
Edscott Wilson Garcia <edscott@xfce.org>